## org.apache.axis.enum
Class Use

    java.lang.Object
      org.apache.axis.constants.Enum
          org.apache.axis.constants.Use
              org.apache.axis.enum.Use

All Implemented Interfaces:
  java.io.Serializable

Deprecated. please use org.apache.axis.constants.Scope

public class Use
extends Use

Simple wrapper around org.apache.axis.constants.Use

Author:
  dims@yahoo.com
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.axis.constants.Use
`Use.Type`

Field Summary

Fields inherited from class org.apache.axis.constants.Use
`DEFAULT, ENCODED, ENCODED_STR, LITERAL, LITERAL_STR`

Fields inherited from class org.apache.axis.constants.Enum
`log, name, value`

Constructor Summary
`Use()` Deprecated.

Methods inherited from class org.apache.axis.constants.Use
`getDefault, getEncoding, getUse, getUse, getUse, getUses, isValid, size`

Methods inherited from class org.apache.axis.constants.Enum
`equals, equals, getName, getType, getValue, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Use

    public Use()

  Deprecated.

Copyright © 2005 Apache Web Services Project. All Rights Reserved.